Skip to main content
POST
/
api
/
v1
/
client
/
vid2txt
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/vid2txt \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_url": "https://www.youtube.com/watch?v=jNQXAC9IVRw",
  "include_ts": true,
  "model": "WhisperLargeV3",
  "return_result_in_response": false,
  "webhook_url": "https://your-server.com/webhooks/deapi"
}
'
{
  "data": {
    "request_id": "c08a339c-73e5-4d67-a4d5-231302fbff9a"
  }
}
Prerequisite: To ensure a successful request, you must first consult the Model Selection endpoint to identify a valid model slug, check specific limits and features, and verify LoRA availability.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

application/json

Video transcription parameters

video_url
string
required

URL of video to transcribe

Example:

"https://www.youtube.com/watch?v=jNQXAC9IVRw"

include_ts
boolean
required

Should transcription include timestamps

model
string

The model to use for transcription. Available models can be retrieved via the GET /api/v1/client/models endpoint.

Example:

"WhisperLargeV3"

return_result_in_response
boolean | null
default:false

If true, the result will be returned directly in the response instead of only download url. Optional parameter.

Example:

false

webhook_url
string<uri> | null

Optional HTTPS URL to receive webhook notifications for job status changes (processing, completed, failed). Must be HTTPS. Max 2048 characters. See Webhook Documentation for payload structure and authentication details.

Maximum string length: 2048
Example:

"https://your-server.com/webhooks/deapi"

Response

ID of the inference request.

data
object

Information from success endpoint